$(function () {
    'use strict';
    //主页面
    $(document).on("pageInit", "#login-page", function(e, id, page) {
        $(page).on("click", "#login", function(e) {
            var username = $.trim($("#username").val());
            var password = $.trim($("#password").val());
            if(false == checkNull()) return false;//检查空输入
            $.ajax({
                url: 'index.php?d=wap_agents&c=login&m=check_login',   //后台处理程序
                type: "post",         //数据发送方式
                dataType:"json",    //接受数据格式
                beforeSend: function () {
                    //加载提示符
                    $.showIndicator();
                },
                complete: function () {
                    $.hideIndicator();
                },
                data:{username:username,password:password},  //要传递的数据
                success:function(data) {
                    if (data.err_code!=0) {
                        $.alert(data.err_msg);

                    }else
                    {
                        $.toast(data.err_msg, 2000, 'success top');
                        window.location.replace('index.php?d=wap_agents&c=home&m=index');
                    }
                },
                error:function(XMLHttpRequest, textStatus, errorThrown)
                {
                    $.alert(errorThrown);
                }
            });
        });
        function checkNull(){
            $("#username").val($.trim($("#username").val()));
            if(!$("#username").val() || !$("#password").val() || $("#username").val() == $("#username").attr('prompt')) {
                if(!$("#username").val() || $("#username").val() == $("#username").attr('prompt')){
                    $.alert('请输入用户名!');
                    return false;
                }
                if(!$("#password").val()){

                    $.alert('请输入密码!');
                    return false;
                }
            }
            return true;
        }
    });
    //密码修改页面
    $(document).on("pageInit", "#change-password-page", function(e, id, page) {
        $(page).on("click", "#submit", function(e) {
            var old_password = $.trim($("#old_password").val());
            var new_password = $.trim($("#new_password").val());
            var re_new_password = $.trim($("#re_new_password").val());
            if(false == checkNull()) return false;//检查空输入
            if(new_password!=re_new_password)
            {
                $.alert('两次输入密码不一致');
                return false;
            }
            $.ajax({

                url: 'index.php?d=wap_agents&c=home&m=password_save',   //后台处理程序
                type: "post",         //数据发送方式
                dataType:"json",    //接受数据格式
                data:{old_password:old_password,new_password:new_password},  //要传递的数据
                success:function(data) {
                    if (data.err_code!=0) {
                        $.alert(data.err_msg);
                    }
                    else
                    {
                        $.toast('操作成功，正在跳转...', 2000, 'success top');
                        window.location.replace('index.php?d=wap_agents&c=login&m=index');
                    }
                },
                error:function(XMLHttpRequest, textStatus, errorThrown)
                {
                    $.alert(errorThrown);
                }
            });
        });
        function checkNull(){
            $("#old_password").val($.trim($("#old_password").val()));
            if(!$("#old_password").val() || !$("#new_password").val() || !$("#re_new_password").val() || $("#old_password").val() == $("#old_password").attr('prompt')) {
                if(!$("#old_password").val() || $("#old_password").val() == $("#old_password").attr('prompt')){
                    $.alert('请输入旧密码');
                    return false;
                }
                if(!$("#new_password").val()){
                    $.alert('请输入新密码');
                    return false;
                }
                if(!$("#re_new_password").val()){
                    $.alert('请输入确认密码');
                    return false;
                }
            }
            return true;
        }
    });
    //头像修改
    $(document).on("pageInit", "#change-avatar-page", function(e, id, page) {
        var f = document.querySelector('#image-uploader');
        f.onchange = function () {
            lrz(this.files[0],{width:640,fieldName:"upfile"}).then(function (rst) {
                var xhr = new XMLHttpRequest();
                xhr.open('POST', 'index.php?d=wap_agents&c=file&m=image_upload');

                xhr.onload = function () {
                    if (xhr.status === 200) {
                        var obj = eval('(' + xhr.responseText + ')');
                        $('#thumb').attr('src',obj.full_url );
                        $("#headimgurl").val(obj.url);
                    } else {
                        // 处理其他情况
                    }
                };

                xhr.onerror = function () {
                    // 处理错误
                };

                xhr.upload.onprogress = function (e) {
                    // 上传进度
                    var percentComplete = ((e.loaded / e.total) || 0) * 100;
                }

                // 添加参数
                rst.formData.append('size', rst.fileLen);
                rst.formData.append('base64', rst.base64);
                // 触发上传
                xhr.send(rst.formData);

                return rst;
            })

                .catch(function (err) {
                    alert(err);
                })

                .always(function () {// 不管是成功失败，这里都会执行
                });
        }
        $(page).on("click", "#submit", function(e) {
            var headimgurl = $.trim($("#headimgurl").val());

            if(headimgurl=='')
            {
                $.alert('照片不能为空');
                return false;
            }
            $.ajax({
                url: 'index.php?d=wap_agents&c=home&m=avatar_save',   //后台处理程序
                type: "post",         //数据发送方式
                dataType:"json",    //接受数据格式
                data:{thumb:headimgurl},  //要传递的数据
                success:function(data) {
                    if (data.err_code!=0) {
                        $.alert(data.err_msg);
                    }
                    else
                    {
                        $.toast('操作成功，正在跳转...', 2000, 'success top');
                        window.location.replace('index.php?d=wap_agents&c=home&m=agents_info');
                    }
                },
                error:function(XMLHttpRequest, textStatus, errorThrown)
                {
                    $.alert(errorThrown);
                }
            });
        });
    });
    $.init();
});

